package fr.asip.cps3.exemple.vues.menus;

import java.awt.event.ActionListener;
import fr.asip.cps3.exemple.modele.objets.Cle;

/**
 * Classe modélisant un item de menu de type Cle
 *
 */
public class ItemMenuCle extends ItemMenu {
	
	private static final long serialVersionUID = 3647766703109678404L;
	
	/**
	 * Clé associée à l'item de menu
	 */
	private Cle cle;

	/**
	 * Constructeur à 5 arguments
	 * @param cle Clé associée à l'item de menu
	 * @param idParent Identifiant du menu parent
	 * @param enable Booléen attestant du caractère actionnable de l'item de menu
	 * @param visible Booléen attestant du caractère visible de l'item de menu
	 * @param ecouteur Ecouteur positionné sur l'item de menu
	 */
	public ItemMenuCle(Cle cle,String idParent, boolean enable, boolean visible, ActionListener ecouteur) {
		
		super(idParent+",", idParent, "", enable, visible, ecouteur);
		this.cle = cle;
		if(cle != null) {
			setId(getIdParent()+","+cle.getIdCle());
			setText(cle.getLibelle());
		}
		
	}

	/**
	 * Accesseur
	 * @return Clé associée à l'item de menu
	 */
	public Cle getCle() {
		return cle;
	}


	
}
